/*
 * Radar Library
 *
 * Copyright (C) 2009-2010  ARPA-SIM <urpsim@smr.arpa.emr.it>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Author: Guido Billi <guidobilli@gmail.com>
 */

/*! \file
 *  \brief Main header file for OdimH5 part of the library
 */

#ifndef __RADAR_ODIMH5V20_HPP__
#define __RADAR_ODIMH5V20_HPP__

/*===========================================================================*/

#include <radarlib/odimh5v20_const.hpp>		/* constants */
#include <radarlib/odimh5v20_exceptions.hpp>	/* exceptions */
#include <radarlib/odimh5v20_classes.hpp>	/* main odim classes */
#include <radarlib/odimh5v20_support.hpp>	/* helpful classes  */
#include <radarlib/odimh5v20_dump.hpp>		/* odim h5 v20 dumper */
#include <radarlib/odimh5v20_factory.hpp>	/* odim h5 v20 factory class */
#include <radarlib/odimh5v20_utils.hpp>		/* odim h5 v20 utilities */

/*===========================================================================*/


/**
 * @brief Namespace related to ODIMH5 version 2.0
 */
namespace OdimH5v20 {}

#endif















