/*
 * Radar Library
 *
 * Copyright (C) 2009-2010  ARPA-SIM <urpsim@smr.arpa.emr.it>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Author: Guido Billi <guidobilli@gmail.com>
 */

/*! \file
 *  \brief Main header file of the library
 */

#ifndef __RADARLIB_RADAR_HPP__
#define __RADARLIB_RADAR_HPP__

/*===========================================================================*/

#include <radarlib/lib.hpp>			/* library informations */

#include <radarlib/byteorder.h>			/* byte order utilities */
#include <radarlib/base64.hpp>			/* base 64 utilities */
#include <radarlib/formula.hpp>			/* physics formulas */
#include <radarlib/io.hpp>			/* filesystem utilities for  */
#include <radarlib/math.hpp>			/* math utilities */
#include <radarlib/string.hpp>			/* string utilities */
#include <radarlib/time.hpp>			/* time utilities */

#include <radarlib/odimh5v20.hpp>		/* odimh5 v2.0 */
#include <radarlib/odimh5v21.hpp>		/* odimh5 v2.1 */

#include <radarlib/odimh5v20_arpav10.hpp>	/* Arpa ER v1.0 extensions for OdimH5 */
#include <radarlib/odimh5v21_arpav10.hpp>	/* Arpa ER v1.0 extensions for OdimH5 */


/*===========================================================================*/

#endif



































